#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <errno.h>
#include <fcntl.h>
#include <string.h>
#include <sys/types.h>
#include <sys/stat.h>

#include <libmrtd/libmrtd.h>
#include <libmrtd/icao.h>


int main(int argc, char **argv)
{
	struct mrtd_handle h;

	memset(&h, 0, sizeof(h));

	if (mrtd_librfid_init(&h) < 0)
		exit(1);

	if (read_mrtd(&h, argv[1]) < 0)
		exit(1);

	if (h.dg2_info)
		mrtd_display_dg2(h.dg2_info);

	if (mrtd_dump(&h) < 0)
		exit(1);

	exit(0);
}
