#ifndef _LIBMRTD_H
#define _LIBMRTD_H
extern const char *mrtd_hexdump(const void *data, unsigned int len);

struct mrtd_bio_header_tmpl {
	u_int16_t	hdr_version;
	u_int8_t	bio_type;
	u_int8_t	bio_feature;
	time_t		creation_time;
	time_t		valid_from;
	time_t		valid_through;
	u_int16_t	creator_pid;
	u_int16_t	format_owner;
	u_int16_t	format_type;
};

struct mrtd_bio_tmpl {
	struct mrtd_bio_header_tmpl bht;
	int encrypted;
	char *bio_data;
	int bio_data_len;
};


#endif

