#ifndef _ISO7816_UTIL_H
#define _ISO7816_UTIL_H

int
iso7816_get_challenge(struct mrtd_handle *h, 
		      unsigned char *challenge, unsigned int len);

int
iso7816_select_application(struct mrtd_handle *ih);

int
iso7816_select_ef(struct mrtd_handle *ih, u_int16_t fid);

int
iso7816_read_binary(struct mrtd_handle *ih, unsigned char *buf, unsigned int *len);

int
iso7816_read_ef(struct mrtd_handle *ih, u_int16_t fid,
		unsigned char *buf, unsigned int *len);

#endif
