/* Passive Authentication for ICAO-compliant MTRD's 
 *
 * (C) 2005 by Harald Welte <laforge@hmw-consulting.de>
 *
 */ 

#include <libmrtd/icao.h>

int
mrtd_passive_authentication(struct mrtd_handle *ih)
{
	int rv;
	unsigned char ef_sod[2048];
	unsigned int ef_sod_len = sizeof(ef_sod);

	/* Read EF.SOD from chip */
	rv = iso7816_read_ef(ih, ICAO_LDS_FID_SOD, ef_sod, &ef_sod_len);
	if (rv < 0)
		return rv;
	
	/* Extract DS from SOD */

	/* Optionally extract C_DS from SOD */

	/* Verify using K_Pu_DS */

	return -1;
}

